Productsup
CDE APIApi referenceConnectors

Update connector runtime.

If the connector runtime is already set it will only update the version.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/runtime/prod

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/runtime/prod" \  -H "Content-Type: application/json" \  -d '{    "environment": "bin-docker-wrapper",    "version": "12.10.0"  }'
{
  "message": "Successfully updated connector prod runtime for version 1.0.0."
}
{
  "message": "Missing connector runtime version for runtime environment bin-docker-wrapper.",
  "errors": []
}
{
  "message": "Access denied for user."
}

How is this guide?